      function P3NSplusReg(x)
      ! Leandro Cieri
      ! 30/03/2021 Bug fund in the Steinhauser implementation of P3ns_minus
      ! Now using all Splittings from Moch
      implicit none
      include 'types.f'
      include 'constants.f'
      include 'nf.f'
      include 'HPLsinclude.f'
      include 'HPLsinclude_w5.f' 
      include 'HPLsinclude_Basis_4.f'
      include 'HPLsinclude_Basis_5.f'      
      real(dp):: Zeta
      external Zeta
      real(dp):: P3NSplusReg,x

      P3NSplusReg = (5327*CA**2*CF)/1728. + 10.467262190798996*CA*CF**2 - (31*CF**3)/32. - (91*CA*CF*Nf)/96. + (5*CF**2*Nf)/576. + (7*CF*Nf**2)/108. - (7*CA**2*CF*Pi**2)/24. - 
     -  (77*CF**3*Pi**2)/96. + (CA*CF*Nf*Pi**2)/48. - (5*CF**2*Nf*Pi**2)/108. - (31*CA**2*CF*Pi**4)/5760. - (7*CF**3*Pi**4)/1440. + 
     -  (3.246969701133415*CA**2*CF)/(1 - x) - (4.667518945379284*CA*CF**2)/(1 - x) - (11*CA**2*CF*Pi**4)/(720.*(1 - x)) + (CF**3*Pi**4)/(80.*(1 - x)) - 
     -  6.401712163593908*CA**2*CF*x - (133*CA*CF**2*x)/144. + (31*CF**3*x)/32. + (1237*CA*CF*Nf*x)/864. + (325*CF**2*Nf*x)/576. - (CF*Nf**2*x)/18. + 
     -  (253*CA*CF**2*Pi**2*x)/432. - (31*CF**3*Pi**2*x)/32. - (23*CA*CF*Nf*Pi**2*x)/432. + (5*CF**2*Nf*Pi**2*x)/108. + (7*CA*CF**2*Pi**4*x)/1440. + 
     -  (7*CF**3*Pi**4*x)/160. + (67*CA**2*CF*Pi**2)/(216.*(1 + x)) - (67*CA*CF**2*Pi**2)/(108.*(1 + x)) - (5*CA*CF*Nf*Pi**2)/(108.*(1 + x)) + 
     -  (5*CF**2*Nf*Pi**2)/(54.*(1 + x)) - (CA**2*CF*Pi**4)/(72.*(1 + x)) + (CA*CF**2*Pi**4)/(288.*(1 + x)) + (7*CF**3*Pi**4)/(144.*(1 + x)) - 
     -  (25*CA*CF**2*H10(x))/36. - (CF**3*H10(x))/4. + (CF**2*Nf*H10(x))/9. + (CA**2*CF*Pi**2*H10(x))/24. + (CA*CF**2*Pi**2*H10(x))/12. + 
     -  (67*CA*CF**2*H10(x))/(18.*(1 - x)) - (5*CF**2*Nf*H10(x))/(9.*(1 - x)) - (CA**2*CF*Pi**2*H10(x))/(12.*(1 - x)) - (CA*CF**2*Pi**2*H10(x))/(6.*(1 - x)) - 
     -  (109*CA*CF**2*x*H10(x))/36. + (CF**3*x*H10(x))/4. + (4*CF**2*Nf*x*H10(x))/9. + (CA**2*CF*Pi**2*x*H10(x))/24. + (CA*CF**2*Pi**2*x*H10(x))/12. + 
     -  (3*CA**2*CF*H100(x))/16. - (19*CA*CF**2*H100(x))/12. + (3*CF**3*H100(x))/2. - (CA*CF*Nf*H100(x))/8. + 0.3333333333333333*CF**2*Nf*H100(x) - 
     -  (11*CA**2*CF*H100(x))/(8.*(1 - x)) + (31*CA*CF**2*H100(x))/(6.*(1 - x)) - (3*CF**3*H100(x))/(1 - x) + (CA*CF*Nf*H100(x))/(4.*(1 - x)) - 
     -  (2*CF**2*Nf*H100(x))/(3.*(1 - x)) + (19*CA**2*CF*x*H100(x))/16. - (43*CA*CF**2*x*H100(x))/12. + (3*CF**3*x*H100(x))/2. - (CA*CF*Nf*x*H100(x))/8. + 
     -  (CF**2*Nf*x*H100(x))/3. + (3*CA**2*CF*H1000(x))/4. - (11*CA*CF**2*H1000(x))/4. + CF**3*H1000(x) - (1.5*CA**2*CF*H1000(x))/(1 - x) + 
     -  (11*CA*CF**2*H1000(x))/(2.*(1 - x)) - (2*CF**3*H1000(x))/(1 - x) + (3*CA**2*CF*x*H1000(x))/4. - (11*CA*CF**2*x*H1000(x))/4. + CF**3*x*H1000(x) + 
     -  CA**2*CF*H1100(x) - 2*CA*CF**2*H1100(x) - (2*CA**2*CF*H1100(x))/(1 - x) + (4*CA*CF**2*H1100(x))/(1 - x) + CA**2*CF*x*H1100(x) - 2*CA*CF**2*x*H1100(x) - 
     -  CF**3*H120(x) + (2*CF**3*H120(x))/(1 - x) - CF**3*x*H120(x) - CA**2*CF*H13(x) + 2*CA*CF**2*H13(x) - 2*CF**3*H13(x) + (2*CA**2*CF*H13(x))/(1 - x) - 
     -  (4*CA*CF**2*H13(x))/(1 - x) + (4*CF**3*H13(x))/(1 - x) - CA**2*CF*x*H13(x) + 2*CA*CF**2*x*H13(x) - 2*CF**3*x*H13(x) + (11*CA**2*CF*H1h(x))/4. - 
     -  (209*CA*CF**2*H1h(x))/24. + (35*CF**3*H1h(x))/4. - (CA*CF*Nf*H1h(x))/4. + (CF**2*Nf*H1h(x))/3. + (CA**2*CF*Pi**2*H1h(x))/12. - (7*CA*CF**2*Pi**2*H1h(x))/24. + 
     -  (CF**3*Pi**2*H1h(x))/4. - (11*CA**2*CF*x*H1h(x))/4. + (209*CA*CF**2*x*H1h(x))/24. - (35*CF**3*x*H1h(x))/4. + (CA*CF*Nf*x*H1h(x))/4. - (CF**2*Nf*x*H1h(x))/3. - 
     -  (CA**2*CF*Pi**2*x*H1h(x))/12. + (7*CA*CF**2*Pi**2*x*H1h(x))/24. - (CF**3*Pi**2*x*H1h(x))/4. - (3*CA**2*CF*H1m20(x))/2. + 4*CA*CF**2*H1m20(x) - 
     -  2*CF**3*H1m20(x) + (3*CA**2*CF*H1m20(x))/(1 - x) - (8*CA*CF**2*H1m20(x))/(1 - x) + (4*CF**3*H1m20(x))/(1 - x) - (3*CA**2*CF*x*H1m20(x))/2. + 
     -  4*CA*CF**2*x*H1m20(x) - 2*CF**3*x*H1m20(x) - 0.9166666666666666*CA*CF**2*H20(x) + (9*CF**3*H20(x))/8. + (CF**2*Nf*H20(x))/6. + 
     -  (11*CA*CF**2*H20(x))/(6.*(1 - x)) - (3*CF**3*H20(x))/(2.*(1 - x)) - (CF**2*Nf*H20(x))/(3.*(1 - x)) - (11*CA*CF**2*x*H20(x))/12. + (CF**3*x*H20(x))/8. + 
     -  (CF**2*Nf*x*H20(x))/6. + (7*CA**2*CF*H200(x))/16. - (3*CA*CF**2*H200(x))/4. - (5*CF**3*H200(x))/4. - (CA**2*CF*H200(x))/(1 - x) + 
     -  (5*CA*CF**2*H200(x))/(2.*(1 - x)) + (CF**3*H200(x))/(1 - x) + (7*CA**2*CF*x*H200(x))/16. - (3*CA*CF**2*x*H200(x))/4. - (5*CF**3*x*H200(x))/4. - CF**3*H210(x) + 
     -  (2*CF**3*H210(x))/(1 - x) - CF**3*x*H210(x) - CF**3*H22(x) + (2*CF**3*H22(x))/(1 - x) - CF**3*x*H22(x) + (7*CA**2*CF*H2h(x))/4. - (431*CA*CF**2*H2h(x))/72. + 
     -  (77*CF**3*H2h(x))/16. - (CA*CF*Nf*H2h(x))/8. + (5*CF**2*Nf*H2h(x))/18. - (5*CA**2*CF*Pi**2*H2h(x))/48. + (5*CA*CF**2*Pi**2*H2h(x))/12. - 
     -  (CF**3*Pi**2*H2h(x))/4. + (67*CA*CF**2*H2h(x))/(18.*(1 - x)) - (5*CF**2*Nf*H2h(x))/(9.*(1 - x)) - (CA*CF**2*Pi**2*H2h(x))/(6.*(1 - x)) + 
     -  2.366850275068085*CA**2*CF*x*H2h(x) - (599*CA*CF**2*x*H2h(x))/72. + (85*CF**3*x*H2h(x))/16. - (CA*CF*Nf*x*H2h(x))/8. + (11*CF**2*Nf*x*H2h(x))/18. - 
     -  (CA*CF**2*Pi**2*x*H2h(x))/6. + (CF**3*Pi**2*x*H2h(x))/4. + (CA**2*CF*Pi**2*H2h(x))/(6.*(1 + x)) - (7*CA*CF**2*Pi**2*H2h(x))/(12.*(1 + x)) + 
     -  (CF**3*Pi**2*H2h(x))/(2.*(1 + x)) - 2*CF**3*H30(x) + (CA*CF**2*H30(x))/(2.*(1 - x)) + (2*CF**3*H30(x))/(1 - x) - (CA*CF**2*x*H30(x))/2. - CF**3*x*H30(x) - 
     -  (CA*CF**2*H30(x))/(2.*(1 + x)) + (CF**3*H30(x))/(1 + x) + (CA**2*CF*H3h(x))/16. - (9*CA*CF**2*H3h(x))/8. + (3*CF**3*H3h(x))/2. + (CA*CF*Nf*H3h(x))/8. + 
     -  (11*CA**2*CF*H3h(x))/(24.*(1 - x)) + (CA*CF**2*H3h(x))/(3.*(1 - x)) - (CA*CF*Nf*H3h(x))/(12.*(1 - x)) - (CF**2*Nf*H3h(x))/(3.*(1 - x)) + 
     -  (47*CA**2*CF*x*H3h(x))/48. - (125*CA*CF**2*x*H3h(x))/24. + 4*CF**3*x*H3h(x) - (CA*CF*Nf*x*H3h(x))/24. + (CF**2*Nf*x*H3h(x))/3. + 
     -  (11*CA**2*CF*H3h(x))/(12.*(1 + x)) - (31*CA*CF**2*H3h(x))/(12.*(1 + x)) + (3*CF**3*H3h(x))/(2.*(1 + x)) - (CA*CF*Nf*H3h(x))/(6.*(1 + x)) + 
     -  (CF**2*Nf*H3h(x))/(3.*(1 + x)) - (9*CA**2*CF*HB0001(x))/16. + (3*CA*CF**2*HB0001(x))/2. - (15*CF**3*HB0001(x))/4. + (CA**2*CF*HB0001(x))/(2.*(1 - x)) + 
     -  (CA*CF**2*HB0001(x))/(2.*(1 - x)) + (CF**3*HB0001(x))/(1 - x) + (7*CA**2*CF*x*HB0001(x))/16. - (7*CA*CF**2*x*HB0001(x))/2. + (9*CF**3*x*HB0001(x))/4. + 
     -  (CA**2*CF*HB0001(x))/(1 + x) - (5*CA*CF**2*HB0001(x))/(1 + x) + (6*CF**3*HB0001(x))/(1 + x) - CF**3*HB0011(x) + (2*CF**3*HB0011(x))/(1 - x) - 
     -  CF**3*x*HB0011(x) + (3*CA**2*CF*HBm1000(x))/4. - (17*CA*CF**2*HBm1000(x))/4. + (11*CF**3*HBm1000(x))/2. - 0.75*CA**2*CF*x*HBm1000(x) + 
     -  (17*CA*CF**2*x*HBm1000(x))/4. - (11*CF**3*x*HBm1000(x))/2. - (3*CA**2*CF*HBm1000(x))/(2.*(1 + x)) + (17*CA*CF**2*HBm1000(x))/(2.*(1 + x)) - 
     -  (11*CF**3*HBm1000(x))/(1 + x) + 2*CA**2*CF*HBm1001(x) - 8*CA*CF**2*HBm1001(x) + 8*CF**3*HBm1001(x) - 2*CA**2*CF*x*HBm1001(x) + 8*CA*CF**2*x*HBm1001(x) - 
     -  8*CF**3*x*HBm1001(x) - (4*CA**2*CF*HBm1001(x))/(1 + x) + (16*CA*CF**2*HBm1001(x))/(1 + x) - (16*CF**3*HBm1001(x))/(1 + x) - (CA*CF**2*HBm1010(x))/2. + 
     -  CF**3*HBm1010(x) + (CA*CF**2*x*HBm1010(x))/2. - CF**3*x*HBm1010(x) + (CA*CF**2*HBm1010(x))/(1 + x) - (2*CF**3*HBm1010(x))/(1 + x) - 2*CA**2*CF*HBm1m100(x) + 
     -  9*CA*CF**2*HBm1m100(x) - 10*CF**3*HBm1m100(x) + 2*CA**2*CF*x*HBm1m100(x) - 9*CA*CF**2*x*HBm1m100(x) + 10*CF**3*x*HBm1m100(x) + 
     -  (4*CA**2*CF*HBm1m100(x))/(1 + x) - (18*CA*CF**2*HBm1m100(x))/(1 + x) + (20*CF**3*HBm1m100(x))/(1 + x) - 4*CA**2*CF*HBm1m101(x) + 14*CA*CF**2*HBm1m101(x) - 
     -  12*CF**3*HBm1m101(x) + 4*CA**2*CF*x*HBm1m101(x) - 14*CA*CF**2*x*HBm1m101(x) + 12*CF**3*x*HBm1m101(x) + (8*CA**2*CF*HBm1m101(x))/(1 + x) - 
     -  (28*CA*CF**2*HBm1m101(x))/(1 + x) + (24*CF**3*HBm1m101(x))/(1 + x) + (13*CA**2*CF*Pi**2*Hm1(x))/72. - (31*CA*CF**2*Pi**2*Hm1(x))/36. + CF**3*Pi**2*Hm1(x) + 
     -  (CA*CF*Nf*Pi**2*Hm1(x))/36. - (CF**2*Nf*Pi**2*Hm1(x))/18. + (35*CA**2*CF*Pi**2*x*Hm1(x))/72. - (31*CA*CF**2*Pi**2*x*Hm1(x))/18. + (3*CF**3*Pi**2*x*Hm1(x))/2. - 
     -  (CA*CF*Nf*Pi**2*x*Hm1(x))/36. + (CF**2*Nf*Pi**2*x*Hm1(x))/18. - (25.243194966351478*CA*CF**2*Hm1(x))/(1 + x) + (4.934802200544679*CF**3*Hm1(x))/(1 + x) + 
     -  (11*CA**2*CF*Pi**2*Hm1(x))/(36.*(1 + x)) - (31*CA*CF**2*Pi**2*Hm1(x))/(36.*(1 + x)) - (CA*CF*Nf*Pi**2*Hm1(x))/(18.*(1 + x)) + 
     -  (CF**2*Nf*Pi**2*Hm1(x))/(9.*(1 + x)) - (43*CA**2*CF*Hm10(x))/36. + (95*CA*CF**2*Hm10(x))/36. - (CF**3*Hm10(x))/2. + (CA*CF*Nf*Hm10(x))/9. - 
     -  (2*CF**2*Nf*Hm10(x))/9. - (11*CA**2*CF*Pi**2*Hm10(x))/24. + (7*CA*CF**2*Pi**2*Hm10(x))/4. - (5*CF**3*Pi**2*Hm10(x))/3. + (91*CA**2*CF*x*Hm10(x))/36. - 
     -  (173*CA*CF**2*x*Hm10(x))/36. - (CF**3*x*Hm10(x))/2. - (4*CA*CF*Nf*x*Hm10(x))/9. + (8*CF**2*Nf*x*Hm10(x))/9. + (11*CA**2*CF*Pi**2*x*Hm10(x))/24. - 
     -  (7*CA*CF**2*Pi**2*x*Hm10(x))/4. + (5*CF**3*Pi**2*x*Hm10(x))/3. + (67*CA**2*CF*Hm10(x))/(18.*(1 + x)) - (67*CA*CF**2*Hm10(x))/(9.*(1 + x)) - 
     -  (0.5555555555555556*CA*CF*Nf*Hm10(x))/(1 + x) + (10*CF**2*Nf*Hm10(x))/(9.*(1 + x)) + (11*CA**2*CF*Pi**2*Hm10(x))/(12.*(1 + x)) - 
     -  (7*CA*CF**2*Pi**2*Hm10(x))/(2.*(1 + x)) + (10*CF**3*Pi**2*Hm10(x))/(3.*(1 + x)) - (41*CA**2*CF*Hm100(x))/24. + (169*CA*CF**2*Hm100(x))/24. - 
     -  (29*CF**3*Hm100(x))/4. + (CA*CF*Nf*Hm100(x))/12. - (CF**2*Nf*Hm100(x))/6. - (19*CA**2*CF*x*Hm100(x))/24. + (107*CA*CF**2*x*Hm100(x))/24. - 
     -  (23*CF**3*x*Hm100(x))/4. - (CA*CF*Nf*x*Hm100(x))/12. + (CF**2*Nf*x*Hm100(x))/6. + (11*CA**2*CF*Hm100(x))/(12.*(1 + x)) - (31*CA*CF**2*Hm100(x))/(12.*(1 + x)) + 
     -  (3*CF**3*Hm100(x))/(2.*(1 + x)) - (CA*CF*Nf*Hm100(x))/(6.*(1 + x)) + (CF**2*Nf*Hm100(x))/(3.*(1 + x)) - (7*CA**2*CF*Hm12(x))/12. + (41*CA*CF**2*Hm12(x))/12. - 
     -  (9*CF**3*Hm12(x))/2. - (CA*CF*Nf*Hm12(x))/6. + 0.3333333333333333*CF**2*Nf*Hm12(x) - (29*CA**2*CF*x*Hm12(x))/12. + (103*CA*CF**2*x*Hm12(x))/12. - 
     -  (15*CF**3*x*Hm12(x))/2. + (CA*CF*Nf*x*Hm12(x))/6. - (CF**2*Nf*x*Hm12(x))/3. - (11*CA**2*CF*Hm12(x))/(6.*(1 + x)) + (31*CA*CF**2*Hm12(x))/(6.*(1 + x)) - 
     -  (3*CF**3*Hm12(x))/(1 + x) + (CA*CF*Nf*Hm12(x))/(3.*(1 + x)) - (2*CF**2*Nf*Hm12(x))/(3.*(1 + x)) + (2*CA**2*CF*Pi**2*Hm1m1(x))/3. - 
     -  (7*CA*CF**2*Pi**2*Hm1m1(x))/3. + 2*CF**3*Pi**2*Hm1m1(x) - (2*CA**2*CF*Pi**2*x*Hm1m1(x))/3. + (7*CA*CF**2*Pi**2*x*Hm1m1(x))/3. - 2*CF**3*Pi**2*x*Hm1m1(x) - 
     -  (4*CA**2*CF*Pi**2*Hm1m1(x))/(3.*(1 + x)) + (14*CA*CF**2*Pi**2*Hm1m1(x))/(3.*(1 + x)) - (4*CF**3*Pi**2*Hm1m1(x))/(1 + x) + CA**2*CF*Hm1m10(x) - 
     -  (7*CA*CF**2*Hm1m10(x))/2. + 3*CF**3*Hm1m10(x) + CA**2*CF*x*Hm1m10(x) - (7*CA*CF**2*x*Hm1m10(x))/2. + 3*CF**3*x*Hm1m10(x) + CA*CF**2*Hm1m20(x) - 
     -  2*CF**3*Hm1m20(x) - CA*CF**2*x*Hm1m20(x) + 2*CF**3*x*Hm1m20(x) - (2.*CA*CF**2*Hm1m20(x))/(1 + x) + (4*CF**3*Hm1m20(x))/(1 + x) - 
     -  (17*CA**2*CF*Pi**2*Hm2(x))/48. + (3*CA*CF**2*Pi**2*Hm2(x))/2. - (19*CF**3*Pi**2*Hm2(x))/12. - (CA*CF**2*Pi**2*Hm2(x))/(4.*(1 - x)) + 
     -  (CF**3*Pi**2*Hm2(x))/(2.*(1 - x)) + (17*CA**2*CF*Pi**2*x*Hm2(x))/48. - (5*CA*CF**2*Pi**2*x*Hm2(x))/4. + (13*CF**3*Pi**2*x*Hm2(x))/12. + 
     -  (2*CA**2*CF*Pi**2*Hm2(x))/(3.*(1 + x)) - (8*CA*CF**2*Pi**2*Hm2(x))/(3.*(1 + x)) + (8*CF**3*Pi**2*Hm2(x))/(3.*(1 + x)) - (11*CA**2*CF*Hm20(x))/24. + 
     -  1.9166666666666665*CA*CF**2*Hm20(x) - 2*CF**3*Hm20(x) + (CA*CF*Nf*Hm20(x))/12. - (CF**2*Nf*Hm20(x))/6. - (3*CA**2*CF*Hm20(x))/(4.*(1 - x)) + 
     -  (3*CA*CF**2*Hm20(x))/(2.*(1 - x)) + (5*CA**2*CF*x*Hm20(x))/24. + (13*CA*CF**2*x*Hm20(x))/12. - 3*CF**3*x*Hm20(x) - (CA*CF*Nf*x*Hm20(x))/12. + 
     -  (CF**2*Nf*x*Hm20(x))/6. + (11*CA**2*CF*Hm20(x))/(12.*(1 + x)) - (31*CA*CF**2*Hm20(x))/(12.*(1 + x)) + (3*CF**3*Hm20(x))/(2.*(1 + x)) - 
     -  (CA*CF*Nf*Hm20(x))/(6.*(1 + x)) + (CF**2*Nf*Hm20(x))/(3.*(1 + x)) + (11*CA**2*CF*Hm200(x))/8. - (29*CA*CF**2*Hm200(x))/4. + 9*CF**3*Hm200(x) - 
     -  (CA**2*CF*Hm200(x))/(2.*(1 - x)) + (5*CA*CF**2*Hm200(x))/(2.*(1 - x)) - (3*CF**3*Hm200(x))/(1 - x) - (7*CA**2*CF*x*Hm200(x))/8. + (19*CA*CF**2*x*Hm200(x))/4. - 
     -  6*CF**3*x*Hm200(x) - (2.*CA**2*CF*Hm200(x))/(1 + x) + (21*CA*CF**2*Hm200(x))/(2.*(1 + x)) - (13*CF**3*Hm200(x))/(1 + x) + (3*CA**2*CF*Hm22(x))/2. - 
     -  (13*CA*CF**2*Hm22(x))/2. + 7*CF**3*Hm22(x) + (1.*CA**2*CF*Hm22(x))/(1 - x) - (2*CA*CF**2*Hm22(x))/(1 - x) - (5*CA**2*CF*x*Hm22(x))/2. + 
     -  (17*CA*CF**2*x*Hm22(x))/2. - 7*CF**3*x*Hm22(x) - (4*CA**2*CF*Hm22(x))/(1 + x) + (15*CA*CF**2*Hm22(x))/(1 + x) - (14*CF**3*Hm22(x))/(1 + x) - 
     -  1.25*CA**2*CF*Hm2m10(x) + 5*CA*CF**2*Hm2m10(x) - 5*CF**3*Hm2m10(x) + (2*CA**2*CF*Hm2m10(x))/(1 - x) - (7*CA*CF**2*Hm2m10(x))/(1 - x) + 
     -  (6*CF**3*Hm2m10(x))/(1 - x) - (3*CA**2*CF*x*Hm2m10(x))/4. + 2*CA*CF**2*x*Hm2m10(x) - CF**3*x*Hm2m10(x) - (2*CA*CF**2*Hm2m10(x))/(1 + x) + 
     -  (4*CF**3*Hm2m10(x))/(1 + x) + (CA**2*CF*Hm30(x))/8. - 2*CA*CF**2*Hm30(x) + (7*CF**3*Hm30(x))/2. + (CA**2*CF*Hm30(x))/(2.*(1 - x)) - 
     -  (CA*CF**2*Hm30(x))/(2.*(1 - x)) - (CF**3*Hm30(x))/(1 - x) - (5*CA**2*CF*x*Hm30(x))/8. + 2*CA*CF**2*x*Hm30(x) - (3*CF**3*x*Hm30(x))/2. - 
     -  (CA**2*CF*Hm30(x))/(2.*(1 + x)) + (2.5*CA*CF**2*Hm30(x))/(1 + x) - (3*CF**3*Hm30(x))/(1 + x) + (205*CA**2*CF*Ho(x))/864. + (157*CA*CF**2*Ho(x))/144. + 
     -  (3*CF**3*Ho(x))/8. + (17*CA*CF*Nf*Ho(x))/432. - (37*CF**2*Nf*Ho(x))/144. + (CF*Nf**2*Ho(x))/216. - (CA**2*CF*Pi**2*Ho(x))/96. + (3*CA*CF**2*Pi**2*Ho(x))/16. - 
     -  (CF**3*Pi**2*Ho(x))/4. - (CA*CF*Nf*Pi**2*Ho(x))/48. + (1043*CA**2*CF*Ho(x))/(432.*(1 - x)) - (151*CA*CF**2*Ho(x))/(96.*(1 - x)) - 
     -  (3*CF**3*Ho(x))/(32.*(1 - x)) - (167*CA*CF*Nf*Ho(x))/(216.*(1 - x)) + (5*CF**2*Nf*Ho(x))/(48.*(1 - x)) + (5*CF*Nf**2*Ho(x))/(108.*(1 - x)) - 
     -  (31*CA**2*CF*Pi**2*Ho(x))/(144.*(1 - x)) + (41*CA*CF**2*Pi**2*Ho(x))/(144.*(1 - x)) - (CF**3*Pi**2*Ho(x))/(8.*(1 - x)) + (CA*CF*Nf*Pi**2*Ho(x))/(36.*(1 - x)) + 
     -  (CF**2*Nf*Pi**2*Ho(x))/(36.*(1 - x)) - (4343*CA**2*CF*x*Ho(x))/864. + (143*CA*CF**2*x*Ho(x))/16. - (35*CF**3*x*Ho(x))/4. + (425*CA*CF*Nf*x*Ho(x))/432. - 
     -  (5*CF**2*Nf*x*Ho(x))/16. - 0.05092592592592592*CF*Nf**2*x*Ho(x) - (37*CA**2*CF*Pi**2*x*Ho(x))/288. + (151*CA*CF**2*Pi**2*x*Ho(x))/144. - 
     -  (7*CF**3*Pi**2*x*Ho(x))/6. - (CA*CF*Nf*Pi**2*x*Ho(x))/144. - (CF**2*Nf*Pi**2*x*Ho(x))/36. - (0.5120778389040188*CA**2*CF*Ho(x))/(1 + x) + 
     -  (9*CA*CF**2*Ho(x))/(8.*(1 + x)) - (3*CF**3*Ho(x))/(4.*(1 + x)) + (13*CA*CF**2*Pi**2*Ho(x))/(144.*(1 + x)) - (CF**3*Pi**2*Ho(x))/(8.*(1 + x)) + 
     -  (CA*CF*Nf*Pi**2*Ho(x))/(72.*(1 + x)) - (CF**2*Nf*Pi**2*Ho(x))/(36.*(1 + x)) - (121*CA**2*CF*Hoo(x))/288. - (11*CA*CF**2*Hoo(x))/24. - (11*CF**3*Hoo(x))/16. + 
     -  (11*CA*CF*Nf*Hoo(x))/72. + (CF**2*Nf*Hoo(x))/12. - (CF*Nf**2*Hoo(x))/72. + (3*CA**2*CF*Pi**2*Hoo(x))/32. - (CA*CF**2*Pi**2*Hoo(x))/4. + 
     -  (5*CF**3*Pi**2*Hoo(x))/8. + (389*CA**2*CF*Hoo(x))/(144.*(1 - x)) - (13*CA*CF**2*Hoo(x))/(8.*(1 - x)) + (13*CF**3*Hoo(x))/(16.*(1 - x)) - 
     -  (7*CA*CF*Nf*Hoo(x))/(12.*(1 - x)) + (CF**2*Nf*Hoo(x))/(4.*(1 - x)) + (CF*Nf**2*Hoo(x))/(36.*(1 - x)) - (CA*CF**2*Pi**2*Hoo(x))/(3.*(1 - x)) - 
     -  (115*CA**2*CF*x*Hoo(x))/96. - (40*CA*CF**2*x*Hoo(x))/9. + (89*CF**3*x*Hoo(x))/16. + (17*CA*CF*Nf*x*Hoo(x))/36. - (5*CF**2*Nf*x*Hoo(x))/36. - 
     -  0.013888888888888888*CF*Nf**2*x*Hoo(x) - (17*CA**2*CF*Pi**2*x*Hoo(x))/96. + (11*CA*CF**2*Pi**2*x*Hoo(x))/12. - (5*CF**3*Pi**2*x*Hoo(x))/8. - 
     -  (67*CA**2*CF*Hoo(x))/(36.*(1 + x)) + (67*CA*CF**2*Hoo(x))/(18.*(1 + x)) + (5*CA*CF*Nf*Hoo(x))/(18.*(1 + x)) - (5*CF**2*Nf*Hoo(x))/(9.*(1 + x)) - 
     -  (CA**2*CF*Pi**2*Hoo(x))/(4.*(1 + x)) + (13*CA*CF**2*Pi**2*Hoo(x))/(12.*(1 + x)) - (7*CF**3*Pi**2*Hoo(x))/(6.*(1 + x)) - (33*CA*CF**2*Hooo(x))/16. + 
     -  (15*CF**3*Hooo(x))/8. + (3*CF**2*Nf*Hooo(x))/8. + (31*CA**2*CF*Hooo(x))/(24.*(1 - x)) - (23*CA*CF**2*Hooo(x))/(24.*(1 - x)) - 
     -  (0.16666666666666666*CA*CF*Nf*Hooo(x))/(1 - x) - (CF**2*Nf*Hooo(x))/(6.*(1 - x)) - (2*CA**2*CF*x*Hooo(x))/3. - (119*CA*CF**2*x*Hooo(x))/48. + 
     -  (31*CF**3*x*Hooo(x))/8. + (CA*CF*Nf*x*Hooo(x))/6. + (CF**2*Nf*x*Hooo(x))/24. - (31*CA**2*CF*Hooo(x))/(24.*(1 + x)) + (89*CA*CF**2*Hooo(x))/(24.*(1 + x)) - 
     -  (9*CF**3*Hooo(x))/(4.*(1 + x)) + (CA*CF*Nf*Hooo(x))/(6.*(1 + x)) - (CF**2*Nf*Hooo(x))/(3.*(1 + x)) - (7*CF**3*Hoooo(x))/4. - (CA**2*CF*Hoooo(x))/(2.*(1 - x)) + 
     -  (5*CA*CF**2*Hoooo(x))/(2.*(1 - x)) - (CF**3*Hoooo(x))/(1 - x) + (5*CA**2*CF*x*Hoooo(x))/8. - (7*CA*CF**2*x*Hoooo(x))/2. + (11*CF**3*x*Hoooo(x))/4. + 
     -  (CA**2*CF*Hoooo(x))/(2.*(1 + x)) - (5*CA*CF**2*Hoooo(x))/(2.*(1 + x)) + (3*CF**3*Hoooo(x))/(1 + x) - (3*CF**3*Zeta(3))/4. + (CA*CF*Nf*Zeta(3))/4. - 
     -  (CF**2*Nf*Zeta(3))/6. - (5*CA**2*CF*Zeta(3))/(24.*(1 - x)) + (5*CA*CF**2*Zeta(3))/(12.*(1 - x)) - (CA*CF*Nf*Zeta(3))/(6.*(1 - x)) + 
     -  (CF**2*Nf*Zeta(3))/(3.*(1 - x)) - (7*CA**2*CF*x*Zeta(3))/2. + (73*CA*CF**2*x*Zeta(3))/6. - (45*CF**3*x*Zeta(3))/4. + (CA*CF*Nf*x*Zeta(3))/2. - 
     -  (2*CF**2*Nf*x*Zeta(3))/3. - (11*CA**2*CF*Zeta(3))/(8.*(1 + x)) + (31*CA*CF**2*Zeta(3))/(8.*(1 + x)) - (9*CF**3*Zeta(3))/(4.*(1 + x)) + 
     -  (CA*CF*Nf*Zeta(3))/(4.*(1 + x)) - (CF**2*Nf*Zeta(3))/(2.*(1 + x)) - (9*CA**2*CF*H1h(x)*Zeta(3))/4. + 6*CA*CF**2*H1h(x)*Zeta(3) - 3*CF**3*H1h(x)*Zeta(3) + 
     -  (9*CA**2*CF*H1h(x)*Zeta(3))/(2.*(1 - x)) - (12*CA*CF**2*H1h(x)*Zeta(3))/(1 - x) + (6*CF**3*H1h(x)*Zeta(3))/(1 - x) - (9*CA**2*CF*x*H1h(x)*Zeta(3))/4. + 
     -  6*CA*CF**2*x*H1h(x)*Zeta(3) - 3*CF**3*x*H1h(x)*Zeta(3) - 3*CA**2*CF*Hm1(x)*Zeta(3) + (21*CA*CF**2*Hm1(x)*Zeta(3))/2. - 9*CF**3*Hm1(x)*Zeta(3) + 
     -  3*CA**2*CF*x*Hm1(x)*Zeta(3) - (21*CA*CF**2*x*Hm1(x)*Zeta(3))/2. + 9*CF**3*x*Hm1(x)*Zeta(3) + (6*CA**2*CF*Hm1(x)*Zeta(3))/(1 + x) + 
     -  (18*CF**3*Hm1(x)*Zeta(3))/(1 + x) - (9*CA*CF**2*Ho(x)*Zeta(3))/4. + (9*CF**3*Ho(x)*Zeta(3))/2. + (2*CA**2*CF*Ho(x)*Zeta(3))/(1 - x) - 
     -  (17*CA*CF**2*Ho(x)*Zeta(3))/(4.*(1 - x)) + (CF**3*Ho(x)*Zeta(3))/(2.*(1 - x)) - (9*CA**2*CF*x*Ho(x)*Zeta(3))/4. + (25*CA*CF**2*x*Ho(x)*Zeta(3))/4. - 
     -  (7*CF**3*x*Ho(x)*Zeta(3))/2. - (2*CA**2*CF*Ho(x)*Zeta(3))/(1 + x) + (29*CA*CF**2*Ho(x)*Zeta(3))/(4.*(1 + x)) - (13*CF**3*Ho(x)*Zeta(3))/(2.*(1 + x))
     
     
            return
       end



c        P3NSplusReg = (5327*CA**2*CF)/1728. 
c     -   + 10.467262190798996*CA*CF**2 - 
c     -  (31*CF**3)/32. - (91*CA*CF*Nf)/96. + (5*CF**2*Nf)/576. + 
c     -  (7*CF*Nf**2)/108. - (7*CA**2*CF*Pi**2)/24. - 
c     -  (77*CF**3*Pi**2)/96. + (CA*CF*Nf*Pi**2)/48. - 
c     -  (5*CF**2*Nf*Pi**2)/108. - (31*CA**2*CF*Pi**4)/5760. - 
c     -  (7*CF**3*Pi**4)/1440. - (4.667518945379284*CA*CF**2)/(1 - x) + 
c     -  (13*CA**2*CF*Pi**4)/(720.*(1 - x)) + 
c     -  (CF**3*Pi**4)/(80.*(1 - x)) - (9737*CA**2*CF*x)/1728. - 
c     -  (133*CA*CF**2*x)/144. + (31*CF**3*x)/32. + 
c     -  (1237*CA*CF*Nf*x)/864. + (325*CF**2*Nf*x)/576. - 
c     -  (CF*Nf**2*x)/18. + (7*CA**2*CF*Pi**2*x)/54. + 
c     -  (253*CA*CF**2*Pi**2*x)/432. - (31*CF**3*Pi**2*x)/32. - 
c     -  (23*CA*CF*Nf*Pi**2*x)/432. + (5*CF**2*Nf*Pi**2*x)/108. - 
c     -  (121*CA**2*CF*Pi**4*x)/5760. + (7*CA*CF**2*Pi**4*x)/1440. + 
c     -  (7*CF**3*Pi**4*x)/160. + (67*CA**2*CF*Pi**2)/(216.*(1 + x)) - 
c     -  (67*CA*CF**2*Pi**2)/(108.*(1 + x)) - 
c     -  (5*CA*CF*Nf*Pi**2)/(108.*(1 + x)) + 
c     -  (5*CF**2*Nf*Pi**2)/(54.*(1 + x)) - 
c     -  (CA**2*CF*Pi**4)/(72.*(1 + x)) + 
c     -  (CA*CF**2*Pi**4)/(288.*(1 + x)) + 
c     -  (7*CF**3*Pi**4)/(144.*(1 + x)) - (25*CA*CF**2*H10(x))/36. - 
c     -  (CF**3*H10(x))/4. + (CF**2*Nf*H10(x))/9. + 
c     -  (CA**2*CF*Pi**2*H10(x))/24. + (CA*CF**2*Pi**2*H10(x))/12. + 
c     -  (67*CA*CF**2*H10(x))/(18.*(1 - x)) - 
c     -  (5*CF**2*Nf*H10(x))/(9.*(1 - x)) - 
c     -  (CA**2*CF*Pi**2*H10(x))/(12.*(1 - x)) - 
c     -  (CA*CF**2*Pi**2*H10(x))/(6.*(1 - x)) - 
c     -  (109*CA*CF**2*x*H10(x))/36. + (CF**3*x*H10(x))/4. + 
c     -  (4*CF**2*Nf*x*H10(x))/9. + (CA**2*CF*Pi**2*x*H10(x))/24. + 
c     -  (CA*CF**2*Pi**2*x*H10(x))/12. + (3*CA**2*CF*H100(x))/16. - 
c     -  (19*CA*CF**2*H100(x))/12. + (3*CF**3*H100(x))/2. - 
c     -  (CA*CF*Nf*H100(x))/8. + (CF**2*Nf*H100(x))/3. - 
c     -  (11*CA**2*CF*H100(x))/(8.*(1 - x)) + 
c     -  (31*CA*CF**2*H100(x))/(6.*(1 - x)) - 
c     -  (3*CF**3*H100(x))/(1 - x) + (CA*CF*Nf*H100(x))/(4.*(1 - x)) - 
c     -  (2*CF**2*Nf*H100(x))/(3.*(1 - x)) + 
c     -  (19*CA**2*CF*x*H100(x))/16. - (43*CA*CF**2*x*H100(x))/12. + 
c     -  (3*CF**3*x*H100(x))/2. - (CA*CF*Nf*x*H100(x))/8. + 
c     -  (CF**2*Nf*x*H100(x))/3. + (3*CA**2*CF*H1000(x))/4. - 
c     -  (11*CA*CF**2*H1000(x))/4. + CF**3*H1000(x) - 
c     -  (3*CA**2*CF*H1000(x))/(2.*(1 - x)) + 
c     -  (11*CA*CF**2*H1000(x))/(2.*(1 - x)) - 
c     -  (2*CF**3*H1000(x))/(1 - x) + (3*CA**2*CF*x*H1000(x))/4. - 
c     -  (11*CA*CF**2*x*H1000(x))/4. + CF**3*x*H1000(x) + 
c     -  CA**2*CF*H1100(x) - 2*CA*CF**2*H1100(x) - 
c     -  (2*CA**2*CF*H1100(x))/(1 - x) + (4*CA*CF**2*H1100(x))/(1 - x) + 
c     -  CA**2*CF*x*H1100(x) - 2*CA*CF**2*x*H1100(x) - CF**3*H120(x) + 
c     -  (2*CF**3*H120(x))/(1 - x) - CF**3*x*H120(x) - CA**2*CF*H13(x) + 
c     -  2*CA*CF**2*H13(x) - 2*CF**3*H13(x) + 
c     -  (2*CA**2*CF*H13(x))/(1 - x) - (4*CA*CF**2*H13(x))/(1 - x) + 
c     -  (4*CF**3*H13(x))/(1 - x) - CA**2*CF*x*H13(x) + 
c     -  2*CA*CF**2*x*H13(x) - 2*CF**3*x*H13(x) + 
c     -  (11*CA**2*CF*H1h(x))/4. - (209*CA*CF**2*H1h(x))/24. + 
c     -  (35*CF**3*H1h(x))/4. - (CA*CF*Nf*H1h(x))/4. + 
c     -  (CF**2*Nf*H1h(x))/3. + (CA**2*CF*Pi**2*H1h(x))/12. - 
c     -  (7*CA*CF**2*Pi**2*H1h(x))/24. + (CF**3*Pi**2*H1h(x))/4. - 
c     -  (11*CA**2*CF*x*H1h(x))/4. + (209*CA*CF**2*x*H1h(x))/24. - 
c     -  (35*CF**3*x*H1h(x))/4. + (CA*CF*Nf*x*H1h(x))/4. - 
c     -  (CF**2*Nf*x*H1h(x))/3. - (CA**2*CF*Pi**2*x*H1h(x))/12. + 
c     -  (7*CA*CF**2*Pi**2*x*H1h(x))/24. - (CF**3*Pi**2*x*H1h(x))/4. - 
c     -  0.9166666666666666*CA*CF**2*H20(x) + (9*CF**3*H20(x))/8. + 
c     -  (CF**2*Nf*H20(x))/6. + (11*CA*CF**2*H20(x))/(6.*(1 - x)) - 
c     -  (3*CF**3*H20(x))/(2.*(1 - x)) - 
c     -  (CF**2*Nf*H20(x))/(3.*(1 - x)) - (11*CA*CF**2*x*H20(x))/12. + 
c     -  (CF**3*x*H20(x))/8. + (CF**2*Nf*x*H20(x))/6. + 
c     -  (7*CA**2*CF*H200(x))/16. - (3*CA*CF**2*H200(x))/4. - 
c     -  (5*CF**3*H200(x))/4. - (CA**2*CF*H200(x))/(1 - x) + 
c     -  (5*CA*CF**2*H200(x))/(2.*(1 - x)) + (CF**3*H200(x))/(1 - x) + 
c     -  (7*CA**2*CF*x*H200(x))/16. - (3*CA*CF**2*x*H200(x))/4. - 
c     -  (5*CF**3*x*H200(x))/4. - CF**3*H210(x) + 
c     -  (2*CF**3*H210(x))/(1 - x) - CF**3*x*H210(x) - CF**3*H22(x) + 
c     -  (2*CF**3*H22(x))/(1 - x) - CF**3*x*H22(x) + 
c     -  (7*CA**2*CF*H2h(x))/4. - (431*CA*CF**2*H2h(x))/72. + 
c     -  (77*CF**3*H2h(x))/16. - (CA*CF*Nf*H2h(x))/8. + 
c     -  (5*CF**2*Nf*H2h(x))/18. - (5*CA**2*CF*Pi**2*H2h(x))/48. + 
c     -  (5*CA*CF**2*Pi**2*H2h(x))/12. - (CF**3*Pi**2*H2h(x))/4. + 
c     -  (67*CA*CF**2*H2h(x))/(18.*(1 - x)) - 
c     -  (5*CF**2*Nf*H2h(x))/(9.*(1 - x)) - 
c     -  (CA*CF**2*Pi**2*H2h(x))/(6.*(1 - x)) + 
c     -  (7*CA**2*CF*x*H2h(x))/4. - (599*CA*CF**2*x*H2h(x))/72. + 
c     -  (85*CF**3*x*H2h(x))/16. - (CA*CF*Nf*x*H2h(x))/8. + 
c     -  (11*CF**2*Nf*x*H2h(x))/18. + (CA**2*CF*Pi**2*x*H2h(x))/16. - 
c     -  (CA*CF**2*Pi**2*x*H2h(x))/6. + (CF**3*Pi**2*x*H2h(x))/4. + 
c     -  (CA**2*CF*Pi**2*H2h(x))/(6.*(1 + x)) - 
c     -  (7*CA*CF**2*Pi**2*H2h(x))/(12.*(1 + x)) + 
c     -  (CF**3*Pi**2*H2h(x))/(2.*(1 + x)) - 2*CF**3*H30(x) + 
c     -  (CA*CF**2*H30(x))/(2.*(1 - x)) + (2*CF**3*H30(x))/(1 - x) - 
c     -  (CA*CF**2*x*H30(x))/2. - CF**3*x*H30(x) - 
c     -  (CA*CF**2*H30(x))/(2.*(1 + x)) + (CF**3*H30(x))/(1 + x) - 
c     -  CF**3*H31(x) + (2*CF**3*H31(x))/(1 - x) - CF**3*x*H31(x) + 
c     -  (CA**2*CF*H3h(x))/16. - (9*CA*CF**2*H3h(x))/8. + 
c     -  (3*CF**3*H3h(x))/2. + (CA*CF*Nf*H3h(x))/8. + 
c     -  (11*CA**2*CF*H3h(x))/(24.*(1 - x)) + 
c     -  (CA*CF**2*H3h(x))/(3.*(1 - x)) - 
c     -  (CA*CF*Nf*H3h(x))/(12.*(1 - x)) - 
c     -  (CF**2*Nf*H3h(x))/(3.*(1 - x)) + (47*CA**2*CF*x*H3h(x))/48. - 
c     -  (125*CA*CF**2*x*H3h(x))/24. + 4*CF**3*x*H3h(x) - 
c     -  (CA*CF*Nf*x*H3h(x))/24. + (CF**2*Nf*x*H3h(x))/3. + 
c     -  (11*CA**2*CF*H3h(x))/(12.*(1 + x)) - 
c     -  (31*CA*CF**2*H3h(x))/(12.*(1 + x)) + 
c     -  (3*CF**3*H3h(x))/(2.*(1 + x)) - 
c     -  (CA*CF*Nf*H3h(x))/(6.*(1 + x)) + 
c     -  (CF**2*Nf*H3h(x))/(3.*(1 + x)) - (9*CA**2*CF*H4(x))/16. + 
c     -  (3*CA*CF**2*H4(x))/2. - (15*CF**3*H4(x))/4. + 
c     -  (CA**2*CF*H4(x))/(2.*(1 - x)) + (CA*CF**2*H4(x))/(2.*(1 - x)) + 
c     -  (CF**3*H4(x))/(1 - x) + (7*CA**2*CF*x*H4(x))/16. - 
c     -  (7*CA*CF**2*x*H4(x))/2. + (9*CF**3*x*H4(x))/4. + 
c     -  (CA**2*CF*H4(x))/(1 + x) - (5*CA*CF**2*H4(x))/(1 + x) + 
c     -  (6*CF**3*H4(x))/(1 + x) + (13*CA**2*CF*Pi**2*Hm1(x))/72. - 
c     -  (31*CA*CF**2*Pi**2*Hm1(x))/36. + CF**3*Pi**2*Hm1(x) + 
c     -  (CA*CF*Nf*Pi**2*Hm1(x))/36. - (CF**2*Nf*Pi**2*Hm1(x))/18. + 
c     -  (35*CA**2*CF*Pi**2*x*Hm1(x))/72. - 
c     -  (31*CA*CF**2*Pi**2*x*Hm1(x))/18. + 
c     -  (3*CF**3*Pi**2*x*Hm1(x))/2. - (CA*CF*Nf*Pi**2*x*Hm1(x))/36. + 
c     -  (CF**2*Nf*Pi**2*x*Hm1(x))/18. + 
c     -  (11*CA**2*CF*Pi**2*Hm1(x))/(36.*(1 + x)) - 
c     -  (31*CA*CF**2*Pi**2*Hm1(x))/(36.*(1 + x)) + 
c     -  (CF**3*Pi**2*Hm1(x))/(2.*(1 + x)) - 
c     -  (CA*CF*Nf*Pi**2*Hm1(x))/(18.*(1 + x)) + 
c     -  (CF**2*Nf*Pi**2*Hm1(x))/(9.*(1 + x)) - 
c     -  (43*CA**2*CF*Hm10(x))/36. + (95*CA*CF**2*Hm10(x))/36. - 
c     -  (CF**3*Hm10(x))/2. + (CA*CF*Nf*Hm10(x))/9. - 
c     -  (2*CF**2*Nf*Hm10(x))/9. - (11*CA**2*CF*Pi**2*Hm10(x))/24. + 
c     -  (7*CA*CF**2*Pi**2*Hm10(x))/4. - (5*CF**3*Pi**2*Hm10(x))/3. + 
c     -  (91*CA**2*CF*x*Hm10(x))/36. - (173*CA*CF**2*x*Hm10(x))/36. - 
c     -  (CF**3*x*Hm10(x))/2. - (4*CA*CF*Nf*x*Hm10(x))/9. + 
c     -  (8*CF**2*Nf*x*Hm10(x))/9. + (11*CA**2*CF*Pi**2*x*Hm10(x))/24. - 
c     -  (7*CA*CF**2*Pi**2*x*Hm10(x))/4. + 
c     -  (5*CF**3*Pi**2*x*Hm10(x))/3. + 
c     -  (67*CA**2*CF*Hm10(x))/(18.*(1 + x)) - 
c     -  (67*CA*CF**2*Hm10(x))/(9.*(1 + x)) - 
c     -  (5*CA*CF*Nf*Hm10(x))/(9.*(1 + x)) + 
c     -  (10*CF**2*Nf*Hm10(x))/(9.*(1 + x)) + 
c     -  (11*CA**2*CF*Pi**2*Hm10(x))/(12.*(1 + x)) - 
c     -  (7*CA*CF**2*Pi**2*Hm10(x))/(2.*(1 + x)) + 
c     -  (10*CF**3*Pi**2*Hm10(x))/(3.*(1 + x)) - 
c     -  (41*CA**2*CF*Hm100(x))/24. + (169*CA*CF**2*Hm100(x))/24. - 
c     -  (29*CF**3*Hm100(x))/4. + (CA*CF*Nf*Hm100(x))/12. - 
c     -  (CF**2*Nf*Hm100(x))/6. - (19*CA**2*CF*x*Hm100(x))/24. + 
c     -  (107*CA*CF**2*x*Hm100(x))/24. - (23*CF**3*x*Hm100(x))/4. - 
c     -  (CA*CF*Nf*x*Hm100(x))/12. + (CF**2*Nf*x*Hm100(x))/6. + 
c     -  (11*CA**2*CF*Hm100(x))/(12.*(1 + x)) - 
c     -  (31*CA*CF**2*Hm100(x))/(12.*(1 + x)) + 
c     -  (3*CF**3*Hm100(x))/(2.*(1 + x)) - 
c     -  (CA*CF*Nf*Hm100(x))/(6.*(1 + x)) + 
c     -  (CF**2*Nf*Hm100(x))/(3.*(1 + x)) + (3*CA**2*CF*Hm1000(x))/4. - 
c     -  (17*CA*CF**2*Hm1000(x))/4. + (11*CF**3*Hm1000(x))/2. - 
c     -  0.75*CA**2*CF*x*Hm1000(x) + (17*CA*CF**2*x*Hm1000(x))/4. - 
c     -  (11*CF**3*x*Hm1000(x))/2. - 
c     -  (3*CA**2*CF*Hm1000(x))/(2.*(1 + x)) + 
c     -  (17*CA*CF**2*Hm1000(x))/(2.*(1 + x)) - 
c     -  (11*CF**3*Hm1000(x))/(1 + x) - (7*CA**2*CF*Hm12(x))/12. + 
c     -  (41*CA*CF**2*Hm12(x))/12. - (9*CF**3*Hm12(x))/2. - 
c     -  (CA*CF*Nf*Hm12(x))/6. + (CF**2*Nf*Hm12(x))/3. - 
c     -  (29*CA**2*CF*x*Hm12(x))/12. + (103*CA*CF**2*x*Hm12(x))/12. - 
c     -  (15*CF**3*x*Hm12(x))/2. + (CA*CF*Nf*x*Hm12(x))/6. - 
c     -  (CF**2*Nf*x*Hm12(x))/3. - (11*CA**2*CF*Hm12(x))/(6.*(1 + x)) + 
c     -  (31*CA*CF**2*Hm12(x))/(6.*(1 + x)) - 
c     -  (3*CF**3*Hm12(x))/(1 + x) + (CA*CF*Nf*Hm12(x))/(3.*(1 + x)) - 
c     -  (2*CF**2*Nf*Hm12(x))/(3.*(1 + x)) - (CA*CF**2*Hm120(x))/2. + 
c     -  CF**3*Hm120(x) + (CA*CF**2*x*Hm120(x))/2. - CF**3*x*Hm120(x) + 
c     -  (CA*CF**2*Hm120(x))/(1 + x) - (2*CF**3*Hm120(x))/(1 + x) + 
c     -  2*CA**2*CF*Hm13(x) - 8*CA*CF**2*Hm13(x) + 8*CF**3*Hm13(x) - 
c     -  2*CA**2*CF*x*Hm13(x) + 8*CA*CF**2*x*Hm13(x) - 
c     -  8*CF**3*x*Hm13(x) - (4*CA**2*CF*Hm13(x))/(1 + x) + 
c     -  (16*CA*CF**2*Hm13(x))/(1 + x) - (16*CF**3*Hm13(x))/(1 + x) + 
c     -  (2*CA**2*CF*Pi**2*Hm1m1(x))/3. - 
c     -  (7*CA*CF**2*Pi**2*Hm1m1(x))/3. + 2*CF**3*Pi**2*Hm1m1(x) - 
c     -  (2*CA**2*CF*Pi**2*x*Hm1m1(x))/3. + 
c     -  (7*CA*CF**2*Pi**2*x*Hm1m1(x))/3. - 2*CF**3*Pi**2*x*Hm1m1(x) - 
c     -  (4*CA**2*CF*Pi**2*Hm1m1(x))/(3.*(1 + x)) + 
c     -  (14*CA*CF**2*Pi**2*Hm1m1(x))/(3.*(1 + x)) - 
c     -  (4*CF**3*Pi**2*Hm1m1(x))/(1 + x) + CA**2*CF*Hm1m10(x) - 
c     -  (7*CA*CF**2*Hm1m10(x))/2. + 3*CF**3*Hm1m10(x) + 
c     -  CA**2*CF*x*Hm1m10(x) - (7*CA*CF**2*x*Hm1m10(x))/2. + 
c     -  3*CF**3*x*Hm1m10(x) - 2*CA**2*CF*Hm1m100(x) + 
c     -  9*CA*CF**2*Hm1m100(x) - 10*CF**3*Hm1m100(x) + 
c     -  2*CA**2*CF*x*Hm1m100(x) - 9*CA*CF**2*x*Hm1m100(x) + 
c     -  10*CF**3*x*Hm1m100(x) + (4*CA**2*CF*Hm1m100(x))/(1 + x) - 
c     -  (18*CA*CF**2*Hm1m100(x))/(1 + x) + 
c     -  (20*CF**3*Hm1m100(x))/(1 + x) - 4*CA**2*CF*Hm1m12(x) + 
c     -  14*CA*CF**2*Hm1m12(x) - 12*CF**3*Hm1m12(x) + 
c     -  4*CA**2*CF*x*Hm1m12(x) - 14*CA*CF**2*x*Hm1m12(x) + 
c     -  12*CF**3*x*Hm1m12(x) + (8*CA**2*CF*Hm1m12(x))/(1 + x) - 
c     -  (28*CA*CF**2*Hm1m12(x))/(1 + x) + 
c     -  (24*CF**3*Hm1m12(x))/(1 + x) + CA*CF**2*Hm1m20(x) - 
c     -  2*CF**3*Hm1m20(x) - CA*CF**2*x*Hm1m20(x) + 
c     -  2*CF**3*x*Hm1m20(x) - (2.*CA*CF**2*Hm1m20(x))/(1 + x) + 
c     -  (4*CF**3*Hm1m20(x))/(1 + x) - (17*CA**2*CF*Pi**2*Hm2(x))/48. + 
c     -  (3*CA*CF**2*Pi**2*Hm2(x))/2. - (19*CF**3*Pi**2*Hm2(x))/12. - 
c     -  (CA*CF**2*Pi**2*Hm2(x))/(4.*(1 - x)) + 
c     -  (CF**3*Pi**2*Hm2(x))/(2.*(1 - x)) + 
c     -  (17*CA**2*CF*Pi**2*x*Hm2(x))/48. - 
c     -  (5*CA*CF**2*Pi**2*x*Hm2(x))/4. + 
c     -  (13*CF**3*Pi**2*x*Hm2(x))/12. + 
c     -  (2*CA**2*CF*Pi**2*Hm2(x))/(3.*(1 + x)) - 
c     -  (8*CA*CF**2*Pi**2*Hm2(x))/(3.*(1 + x)) + 
c     -  (8*CF**3*Pi**2*Hm2(x))/(3.*(1 + x)) - 
c     -  (11*CA**2*CF*Hm20(x))/24. + (23*CA*CF**2*Hm20(x))/12. - 
c     -  2*CF**3*Hm20(x) + (CA*CF*Nf*Hm20(x))/12. - 
c     -  (CF**2*Nf*Hm20(x))/6. - (3*CA**2*CF*Hm20(x))/(4.*(1 - x)) + 
c     -  (3*CA*CF**2*Hm20(x))/(2.*(1 - x)) + 
c     -  (5*CA**2*CF*x*Hm20(x))/24. + (13*CA*CF**2*x*Hm20(x))/12. - 
c     -  3*CF**3*x*Hm20(x) - (CA*CF*Nf*x*Hm20(x))/12. + 
c     -  (CF**2*Nf*x*Hm20(x))/6. + (11*CA**2*CF*Hm20(x))/(12.*(1 + x)) - 
c     -  (31*CA*CF**2*Hm20(x))/(12.*(1 + x)) + 
c     -  (3*CF**3*Hm20(x))/(2.*(1 + x)) - 
c     -  (CA*CF*Nf*Hm20(x))/(6.*(1 + x)) + 
c     -  (CF**2*Nf*Hm20(x))/(3.*(1 + x)) + (11*CA**2*CF*Hm200(x))/8. - 
c     -  (29*CA*CF**2*Hm200(x))/4. + 9*CF**3*Hm200(x) - 
c     -  (CA**2*CF*Hm200(x))/(2.*(1 - x)) + 
c     -  (5*CA*CF**2*Hm200(x))/(2.*(1 - x)) - 
c     -  (3*CF**3*Hm200(x))/(1 - x) - (7*CA**2*CF*x*Hm200(x))/8. + 
c     -  (19*CA*CF**2*x*Hm200(x))/4. - 6*CF**3*x*Hm200(x) - 
c     -  (2*CA**2*CF*Hm200(x))/(1 + x) + 
c     -  (21*CA*CF**2*Hm200(x))/(2.*(1 + x)) - 
c     -  (13*CF**3*Hm200(x))/(1 + x) + (3*CA**2*CF*Hm22(x))/2. - 
c     -  (13*CA*CF**2*Hm22(x))/2. + 7*CF**3*Hm22(x) + 
c     -  (CA**2*CF*Hm22(x))/(1 - x) - (2*CA*CF**2*Hm22(x))/(1 - x) - 
c     -  (5*CA**2*CF*x*Hm22(x))/2. + (17*CA*CF**2*x*Hm22(x))/2. - 
c     -  7*CF**3*x*Hm22(x) - (4*CA**2*CF*Hm22(x))/(1 + x) + 
c     -  (15*CA*CF**2*Hm22(x))/(1 + x) - (14*CF**3*Hm22(x))/(1 + x) - 
c     -  1.25*CA**2*CF*Hm2m10(x) + 5*CA*CF**2*Hm2m10(x) - 
c     -  5*CF**3*Hm2m10(x) + (2*CA**2*CF*Hm2m10(x))/(1 - x) - 
c     -  (7*CA*CF**2*Hm2m10(x))/(1 - x) + (6*CF**3*Hm2m10(x))/(1 - x) - 
c     -  (3*CA**2*CF*x*Hm2m10(x))/4. + 2*CA*CF**2*x*Hm2m10(x) - 
c     -  CF**3*x*Hm2m10(x) - (2*CA*CF**2*Hm2m10(x))/(1 + x) + 
c     -  (4*CF**3*Hm2m10(x))/(1 + x) + (CA**2*CF*Hm30(x))/8. - 
c     -  2*CA*CF**2*Hm30(x) + (7*CF**3*Hm30(x))/2. + 
c     -  (CA**2*CF*Hm30(x))/(2.*(1 - x)) - 
c     -  (CA*CF**2*Hm30(x))/(2.*(1 - x)) - (CF**3*Hm30(x))/(1 - x) - 
c     -  (5*CA**2*CF*x*Hm30(x))/8. + 2*CA*CF**2*x*Hm30(x) - 
c     -  (3*CF**3*x*Hm30(x))/2. - (CA**2*CF*Hm30(x))/(2.*(1 + x)) + 
c     -  (2.5*CA*CF**2*Hm30(x))/(1 + x) - (3*CF**3*Hm30(x))/(1 + x) + 
c     -  (205*CA**2*CF*Ho(x))/864. + (157*CA*CF**2*Ho(x))/144. + 
c     -  (3*CF**3*Ho(x))/8. + (17*CA*CF*Nf*Ho(x))/432. - 
c     -  (37*CF**2*Nf*Ho(x))/144. + (CF*Nf**2*Ho(x))/216. - 
c     -  (CA**2*CF*Pi**2*Ho(x))/96. + (3*CA*CF**2*Pi**2*Ho(x))/16. - 
c     -  (CF**3*Pi**2*Ho(x))/4. - (CA*CF*Nf*Pi**2*Ho(x))/48. + 
c     -  (1043*CA**2*CF*Ho(x))/(432.*(1 - x)) - 
c     -  (151*CA*CF**2*Ho(x))/(96.*(1 - x)) - 
c     -  (3*CF**3*Ho(x))/(32.*(1 - x)) - 
c     -  (167*CA*CF*Nf*Ho(x))/(216.*(1 - x)) + 
c     -  (5*CF**2*Nf*Ho(x))/(48.*(1 - x)) + 
c     -  (5*CF*Nf**2*Ho(x))/(108.*(1 - x)) - 
c     -  (31*CA**2*CF*Pi**2*Ho(x))/(144.*(1 - x)) + 
c     -  (41*CA*CF**2*Pi**2*Ho(x))/(144.*(1 - x)) - 
c     -  (CF**3*Pi**2*Ho(x))/(8.*(1 - x)) + 
c     -  (CA*CF*Nf*Pi**2*Ho(x))/(36.*(1 - x)) + 
c     -  (CF**2*Nf*Pi**2*Ho(x))/(36.*(1 - x)) - 
c     -  (4343*CA**2*CF*x*Ho(x))/864. + (143*CA*CF**2*x*Ho(x))/16. - 
c     -  (35*CF**3*x*Ho(x))/4. + (425*CA*CF*Nf*x*Ho(x))/432. - 
c     -  (5*CF**2*Nf*x*Ho(x))/16. - (11*CF*Nf**2*x*Ho(x))/216. - 
c     -  (37*CA**2*CF*Pi**2*x*Ho(x))/288. + 
c     -  (151*CA*CF**2*Pi**2*x*Ho(x))/144. - 
c     -  (7*CF**3*Pi**2*x*Ho(x))/6. - (CA*CF*Nf*Pi**2*x*Ho(x))/144. - 
c     -  (CF**2*Nf*Pi**2*x*Ho(x))/36. - 
c     -  (3*CA**2*CF*Ho(x))/(8.*(1 + x)) + 
c     -  (9*CA*CF**2*Ho(x))/(8.*(1 + x)) - 
c     -  (3*CF**3*Ho(x))/(4.*(1 + x)) - 
c     -  (CA**2*CF*Pi**2*Ho(x))/(72.*(1 + x)) + 
c     -  (13*CA*CF**2*Pi**2*Ho(x))/(144.*(1 + x)) - 
c     -  (CF**3*Pi**2*Ho(x))/(8.*(1 + x)) + 
c     -  (CA*CF*Nf*Pi**2*Ho(x))/(72.*(1 + x)) - 
c     -  (CF**2*Nf*Pi**2*Ho(x))/(36.*(1 + x)) - 
c     -  (121*CA**2*CF*Hoo(x))/288. - (11*CA*CF**2*Hoo(x))/24. - 
c     -  (11*CF**3*Hoo(x))/16. + (11*CA*CF*Nf*Hoo(x))/72. + 
c     -  (CF**2*Nf*Hoo(x))/12. - (CF*Nf**2*Hoo(x))/72. + 
c     -  (3*CA**2*CF*Pi**2*Hoo(x))/32. - (CA*CF**2*Pi**2*Hoo(x))/4. + 
c     -  (5*CF**3*Pi**2*Hoo(x))/8. + 
c     -  (389*CA**2*CF*Hoo(x))/(144.*(1 - x)) - 
c     -  (13*CA*CF**2*Hoo(x))/(8.*(1 - x)) + 
c     -  (13*CF**3*Hoo(x))/(16.*(1 - x)) - 
c     -  (7*CA*CF*Nf*Hoo(x))/(12.*(1 - x)) + 
c     -  (CF**2*Nf*Hoo(x))/(4.*(1 - x)) + 
c     -  (CF*Nf**2*Hoo(x))/(36.*(1 - x)) - 
c     -  (CA*CF**2*Pi**2*Hoo(x))/(3.*(1 - x)) - 
c     -  (115*CA**2*CF*x*Hoo(x))/96. - (40*CA*CF**2*x*Hoo(x))/9. + 
c     -  (89*CF**3*x*Hoo(x))/16. + (17*CA*CF*Nf*x*Hoo(x))/36. - 
c     -  (5*CF**2*Nf*x*Hoo(x))/36. - (CF*Nf**2*x*Hoo(x))/72. - 
c     -  (17*CA**2*CF*Pi**2*x*Hoo(x))/96. + 
c     -  (11*CA*CF**2*Pi**2*x*Hoo(x))/12. - 
c     -  (5*CF**3*Pi**2*x*Hoo(x))/8. - 
c     -  (67*CA**2*CF*Hoo(x))/(36.*(1 + x)) + 
c     -  (67*CA*CF**2*Hoo(x))/(18.*(1 + x)) + 
c     -  (5*CA*CF*Nf*Hoo(x))/(18.*(1 + x)) - 
c     -  (5*CF**2*Nf*Hoo(x))/(9.*(1 + x)) - 
c     -  (CA**2*CF*Pi**2*Hoo(x))/(4.*(1 + x)) + 
c     -  (13*CA*CF**2*Pi**2*Hoo(x))/(12.*(1 + x)) - 
c     -  (7*CF**3*Pi**2*Hoo(x))/(6.*(1 + x)) - 
c     -  (33*CA*CF**2*Hooo(x))/16. + (15*CF**3*Hooo(x))/8. + 
c     -  (3*CF**2*Nf*Hooo(x))/8. + (31*CA**2*CF*Hooo(x))/(24.*(1 - x)) - 
c     -  (23*CA*CF**2*Hooo(x))/(24.*(1 - x)) - 
c     -  (CA*CF*Nf*Hooo(x))/(6.*(1 - x)) - 
c     -  (CF**2*Nf*Hooo(x))/(6.*(1 - x)) - (2*CA**2*CF*x*Hooo(x))/3. - 
c     -  (119*CA*CF**2*x*Hooo(x))/48. + (31*CF**3*x*Hooo(x))/8. + 
c     -  (CA*CF*Nf*x*Hooo(x))/6. + (CF**2*Nf*x*Hooo(x))/24. - 
c     -  (31*CA**2*CF*Hooo(x))/(24.*(1 + x)) + 
c     -  (89*CA*CF**2*Hooo(x))/(24.*(1 + x)) - 
c     -  (9*CF**3*Hooo(x))/(4.*(1 + x)) + 
c     -  (CA*CF*Nf*Hooo(x))/(6.*(1 + x)) - 
c     -  (CF**2*Nf*Hooo(x))/(3.*(1 + x)) - (7*CF**3*Hoooo(x))/4. - 
c     -  (CA**2*CF*Hoooo(x))/(2.*(1 - x)) + 
c     -  (5*CA*CF**2*Hoooo(x))/(2.*(1 - x)) - (CF**3*Hoooo(x))/(1 - x) + 
c     -  (5*CA**2*CF*x*Hoooo(x))/8. - (7*CA*CF**2*x*Hoooo(x))/2. + 
c     -  (11*CF**3*x*Hoooo(x))/4. + (CA**2*CF*Hoooo(x))/(2.*(1 + x)) - 
c     -  (5*CA*CF**2*Hoooo(x))/(2.*(1 + x)) + 
c     -  (3*CF**3*Hoooo(x))/(1 + x) - 
c     -  (3*CA**2*CF*H1m20(x))/2. + 
c     -  4*CA*CF**2*H1m20(x) - 2*CF**3*H1m20(x) + 
c     -  (3*CA**2*CF*H1m20(x))/(1 - x) - 
c     -  (8*CA*CF**2*H1m20(x))/(1 - x) + 
c     -  (4*CF**3*H1m20(x))/(1 - x) - 
c     -  (3*CA**2*CF*x*H1m20(x))/2. + 
c     -  4*CA*CF**2*x*H1m20(x) - 
c     -  2*CF**3*x*H1m20(x) - (3*CF**3*Zeta(3))/4. + 
c     -  (CA*CF*Nf*Zeta(3))/4. - (CF**2*Nf*Zeta(3))/6. - 
c     -  (5*CA**2*CF*Zeta(3))/(24.*(1 - x)) + 
c     -  (5*CA*CF**2*Zeta(3))/(12.*(1 - x)) - 
c     -  (CA*CF*Nf*Zeta(3))/(6.*(1 - x)) + 
c     -  (CF**2*Nf*Zeta(3))/(3.*(1 - x)) - (7*CA**2*CF*x*Zeta(3))/2. + 
c     -  (73*CA*CF**2*x*Zeta(3))/6. - (45*CF**3*x*Zeta(3))/4. + 
c     -  (CA*CF*Nf*x*Zeta(3))/2. - (2*CF**2*Nf*x*Zeta(3))/3. - 
c     -  (11*CA**2*CF*Zeta(3))/(8.*(1 + x)) + 
c     -  (31*CA*CF**2*Zeta(3))/(8.*(1 + x)) - 
c     -  (9*CF**3*Zeta(3))/(4.*(1 + x)) + 
c     -  (CA*CF*Nf*Zeta(3))/(4.*(1 + x)) - 
c     -  (CF**2*Nf*Zeta(3))/(2.*(1 + x)) - 
c     -  (9*CA**2*CF*H1h(x)*Zeta(3))/4. + 6*CA*CF**2*H1h(x)*Zeta(3) - 
c     -  3*CF**3*H1h(x)*Zeta(3) + 
c     -  (9*CA**2*CF*H1h(x)*Zeta(3))/(2.*(1 - x)) - 
c     -  (12*CA*CF**2*H1h(x)*Zeta(3))/(1 - x) + 
c     -  (6*CF**3*H1h(x)*Zeta(3))/(1 - x) - 
c     -  (9*CA**2*CF*x*H1h(x)*Zeta(3))/4. + 
c     -  6*CA*CF**2*x*H1h(x)*Zeta(3) - 3*CF**3*x*H1h(x)*Zeta(3) - 
c     -  3*CA**2*CF*Hm1(x)*Zeta(3) + (21*CA*CF**2*Hm1(x)*Zeta(3))/2. - 
c     -  9*CF**3*Hm1(x)*Zeta(3) + 3*CA**2*CF*x*Hm1(x)*Zeta(3) - 
c     -  (21*CA*CF**2*x*Hm1(x)*Zeta(3))/2. + 9*CF**3*x*Hm1(x)*Zeta(3) + 
c     -  (6*CA**2*CF*Hm1(x)*Zeta(3))/(1 + x) - 
c     -  (21*CA*CF**2*Hm1(x)*Zeta(3))/(1 + x) + 
c     -  (18*CF**3*Hm1(x)*Zeta(3))/(1 + x) - 
c     -  (9*CA*CF**2*Ho(x)*Zeta(3))/4. + (9*CF**3*Ho(x)*Zeta(3))/2. + 
c     -  (2*CA**2*CF*Ho(x)*Zeta(3))/(1 - x) - 
c     -  (17*CA*CF**2*Ho(x)*Zeta(3))/(4.*(1 - x)) + 
c     -  (CF**3*Ho(x)*Zeta(3))/(2.*(1 - x)) - 
c     -  (9*CA**2*CF*x*Ho(x)*Zeta(3))/4. + 
c     -  (25*CA*CF**2*x*Ho(x)*Zeta(3))/4. - 
c     -  (7*CF**3*x*Ho(x)*Zeta(3))/2. - 
c     -  (2*CA**2*CF*Ho(x)*Zeta(3))/(1 + x) + 
c     -  (29*CA*CF**2*Ho(x)*Zeta(3))/(4.*(1 + x)) - 
c     -  (13*CF**3*Ho(x)*Zeta(3))/(2.*(1 + x))
